@contio/partner-sdk - v1.7.1
    Preparing search index...

    Interface ExportEntitiesRequest

    Request body for the assembly-mode export endpoint (POST /toolkits/export). At least one entity ID array must be non-empty.

    interface ExportEntitiesRequest {
        action_button_ids?: string[];
        canvas_template_ids?: string[];
        description?: string;
        name?: string;
        next_step_ids?: string[];
        shortcut_ids?: string[];
        template_ids?: string[];
        workflow_ids?: string[];
    }
    Index

    Properties

    action_button_ids?: string[]

    Standalone action button IDs to include.

    canvas_template_ids?: string[]

    Canvas template IDs to include.

    description?: string

    Optional description for the exported manifest metadata.

    name?: string

    Optional name for the exported manifest metadata.

    next_step_ids?: string[]

    Next step IDs to include (auto-discovers linked action buttons).

    shortcut_ids?: string[]

    Shortcut IDs to include.

    template_ids?: string[]

    Template IDs to include (auto-discovers linked next steps and action buttons).

    workflow_ids?: string[]

    Workflow template IDs to include.